Bug 806442 - qgis-grass plugin no longer loads in newest build of qgis
qgis-grass plugin no longer loads in newest build of qgis
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qgis (Show other bugs)
16
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: Volker Fröhlich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 14:36 EDT by William D. McCoy
Modified: 2012-04-12 07:35 EDT (History)
3 users (show)

See Also:
Fixed In Version: qgis-1.7.4-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-11 22:54:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William D. McCoy 2012-03-23 14:36:01 EDT
Description of problem:

Since the recent upgrades to the new Mar 3 and 4 builds of qgis, qgis-grass, and grass, the Grass plugin no longer loads in QGis.  This did work on my computers before the recent upgrade.

Version-Release number of selected component (if applicable):

qgis-1.7.4-1.fc16.i686
qgis-grass-1.7.4-1.fc16.i686
grass-6.4.2-2.fc16.i686

How reproducible:

Happens every time and plugin is unusable

Steps to Reproduce:
1. Start QGIS
2. Select Plugins -> Manage plugins...
3. Select Grass plugin from list
4. Click OK
  
Actual results:

Error message window appears with message:

"Incompatible library version for module. You need to rebuild GRASS or untangle multiple installations."

Expected results:

I expect the plugin to be loaded successfully.

Additional info:

Also happens on my similarly configured x86_64 laptop Fedora 16 installation.  Alos note that I have no other version of Grass installed on either machine.
Comment 1 Volker Fröhlich 2012-03-23 15:44:03 EDT
The GRASS 6.4.2 update causes this problem.

As a workaround, you can downgrade to Grass 6.4.1. I will rebuild QGIS to work with 6.4.2 and try to stop that from happening again.
Comment 2 Fedora Update System 2012-03-27 09:56:11 EDT
qgis-1.7.4-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/qgis-1.7.4-2.fc15
Comment 3 Fedora Update System 2012-03-27 09:56:17 EDT
qgis-1.7.4-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/qgis-1.7.4-2.fc16
Comment 4 Fedora Update System 2012-03-27 09:56:23 EDT
qgis-1.7.4-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/qgis-1.7.4-2.fc17
Comment 5 Fedora Update System 2012-04-03 15:54:09 EDT
Package qgis-1.7.4-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qgis-1.7.4-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5261/qgis-1.7.4-2.fc16
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-04-11 22:54:47 EDT
qgis-1.7.4-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-04-12 07:32:00 EDT
qgis-1.7.4-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-04-12 07:35:24 EDT
qgis-1.7.4-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.